import React from "react";
import ReactDOM from "react-dom/client"; // Sử dụng từ react-dom/client trong React 18
import { BrowserRouter } from "react-router-dom";
import App from "./App";

import RouterFlow from "./RouterFlow";

// Lấy root element từ file HTML
const rootElement = document.getElementById("root");

// Sử dụng createRoot thay vì ReactDOM.render
const root = ReactDOM.createRoot(rootElement);

// Render ứng dụng
root.render(
  <React.StrictMode>
    <BrowserRouter>
      <RouterFlow />
    </BrowserRouter>
  </React.StrictMode>
);
